package com.xunhong.erp.turbo.api.biz.api;

import com.xunhong.erp.turbo.api.biz.dto.cmd.SupplierCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.SupplierDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.SupplierUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.SupplierCheckQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.SupplierListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.SupplierPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.SupplierShowQry;
import com.xunhong.erp.turbo.api.biz.dto.vo.SupplierVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface SupplierServiceI {
	SupplierVO create(SupplierCreateCmd supplierCreateCmd);

	PageDTO<SupplierVO> page(SupplierPageQry supplierPageQry);

	List<SupplierVO> list(SupplierListQry supplierListQry);

	SupplierVO update(SupplierUpdateCmd supplierUpdateCmd);

	SupplierVO show(SupplierShowQry supplierShowQry);

	void destroy(SupplierDestroyCmd supplierDestroyCmd);

	SupplierVO checkSupplier(SupplierCheckQry supplierCheckQry);
}

